Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.spi.common.ui.composites
Class AbstractEClassTreeSelectionComposite

    java.lang.Object
      org.eclipse.emf.ecp.spi.common.ui.composites.AbstractFilteredSelectionComposite<org.eclipse.jface.viewers.TreeViewer>
          org.eclipse.emf.ecp.spi.common.ui.composites.AbstractEClassTreeSelectionComposite

All Implemented Interfaces:
  CompositeProvider

Direct Known Subclasses:
  CheckedSelectModelClassCompositeImpl, SelectModelClassCompositeImpl

    public abstract class AbstractEClassTreeSelectionComposite

extends AbstractFilteredSelectionComposite<org.eclipse.jface.viewers.TreeViewer>

This class provides an abstract implementation for displaying EClasses in a Tree.

Author:
  Eugen Neufeld

Constructor Summary
`AbstractEClassTreeSelectionComposite(Collection<org.eclipse.emf.ecore.EPackage> unsupportedEPackages, Collection<org.eclipse.emf.ecore.EPackage> filteredEPackages, Collection<org.eclipse.emf.ecore.EClass> filteredEClasses)` Constructor setting the necessary data for selecting the `EClasses`.

Method Summary
`void` | `dispose()` Disposes this composite provider.

Methods inherited from class org.eclipse.emf.ecp.spi.common.ui.composites.AbstractFilteredSelectionComposite
`createUI, getSelection, getViewer`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractEClassTreeSelectionComposite

    public AbstractEClassTreeSelectionComposite(Collection<org.eclipse.emf.ecore.EPackage> unsupportedEPackages,
                                                Collection<org.eclipse.emf.ecore.EPackage> filteredEPackages,
                                                Collection<org.eclipse.emf.ecore.EClass> filteredEClasses)

  Constructor setting the necessary data for selecting the `EClasses`.

  Parameters:
    `unsupportedEPackages` - `EPackages` that are not supported
    `filteredEPackages` - `EPackages` selected by the user
    `filteredEClasses` - `EClasses` selected by the user

Method Detail

### dispose

    public void dispose()

  Disposes this composite provider.

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.